
/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#include <stdio.h>
#include <postgresql/libpq-fe.h>
#include <gtk/gtk.h>	
#include "callbacks.h"
#include <gdk/gdk.h>

#define CYAN_COLOR "#71f7e7"

void aktualizuj_towary(gpointer *data){

	extern PGconn 		*conn;
	extern PGresult		*res, *res_, *res__, *res___, *res____, *res_____;
	extern gint nFields;

	gchar *wynik[2][6]; 

	gint i, j;
	gint bool;
	glong num_wiersza;
	gchar *mytext;
	gint wiersz;
	extern GtkWidget *entry7;
	extern GtkWidget *entry8;
	extern GtkWidget *clist2;
	extern GtkWidget *check1_fa, *check2_fa;
	
	extern gchar dynam[1024];
	gchar *buff;
	GdkColor color;

	gdk_color_parse(CYAN_COLOR, &color);
	
	buff=(char *)malloc(sizeof(dynam));
	
	gtk_clist_clear((GtkCList *) data);
	
	
	sprintf(buff, "SELECT id FROM towar ORDER BY nazwa , cena;");
		res = PQexec(conn, buff);

	sprintf(buff, "SELECT nazwa FROM towar ORDER BY nazwa , cena;");
		res_ = PQexec(conn, buff);

	sprintf(buff, "SELECT jm FROM towar ORDER BY nazwa , cena;");
		res__ = PQexec(conn, buff);

	sprintf(buff, "SELECT cena FROM towar ORDER BY nazwa , cena;");
		res___ = PQexec(conn, buff);

	sprintf(buff, "SELECT podatek FROM towar ORDER BY nazwa , cena;");
		res____ = PQexec(conn, buff);

	sprintf(buff, "SELECT magazyn FROM towar ORDER BY nazwa , cena;");
		res_____ = PQexec(conn, buff);

	nFields = PQnfields(res);
	bool=1;
	
	for(i=0; i < PQntuples(res); i++) {
		for(j=0; j < nFields; j++){
			wynik[1][0] = PQgetvalue(res, i, j);
			wynik[1][1] = PQgetvalue(res_, i, j);
			wynik[1][2] = PQgetvalue(res__, i, j);
			wynik[1][3] = PQgetvalue(res___, i, j);
			wynik[1][4] = PQgetvalue(res____, i, j);
			wynik[1][5] = PQgetvalue(res_____, i, j);
			gtk_clist_append((GtkCList *) data, wynik[1]);
		}
	}

	if(gtk_toggle_button_get_active((check1_fa)) == TRUE){

	// ilosc wierszy wygenerowanych w db to PQntuples(res)
	num_wiersza=PQntuples(res);
	wiersz=0;
	while(num_wiersza > 0){
		num_wiersza--;
		gtk_clist_get_text(GTK_CLIST(clist2), wiersz, 0, &mytext);
                if(strcmp(gtk_entry_get_text(GTK_ENTRY(entry7)),mytext) == 0)
			gtk_clist_select_row(GTK_CLIST(clist2), wiersz, 1);
			//gtk_clist_set_background(GTK_CLIST(clist2), wiersz, &color);
		wiersz++;
	}
	}
	else if(gtk_toggle_button_get_active((check2_fa)) == TRUE){
	wiersz=0;
	sprintf(buff, "SELECT nazwa FROM towar WHERE nazwa LIKE '%s%s%s';", "%", gtk_entry_get_text(GTK_ENTRY(entry8)), "%");
	
	res_ = PQexec(conn, buff);
	num_wiersza=PQntuples(res);
	if(PQntuples(res_) == 0){
		goto next;
	}
	nFields = PQnfields(res_);
	while(num_wiersza > 0){
		for(i=0; i < PQntuples(res_); i++){
			for(j=0; j < nFields; j++){
			//while(num_wiersza > 0){
			num_wiersza--;
			gtk_clist_get_text(GTK_CLIST(clist2), wiersz, 1, &mytext);
                	if(strcmp(PQgetvalue(res_, i, j),mytext) == 0)
				gtk_clist_select_row(GTK_CLIST(clist2), wiersz, 1);
				//gtk_clist_set_background(GTK_CLIST(clist2), wiersz, &color);
			wiersz++;
			//}
			}
		}

	}
	}
	next:
	//gtk_clist_set_sort_type(GTK_CLIST(clist2), GTK_SORT_ASCENDING);
	gtk_clist_set_sort_type(GTK_CLIST(clist2), GTK_SORT_DESCENDING);
	gtk_clist_set_sort_column(GTK_CLIST(clist2), 1);

	free(buff);
} 
