

/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#include <gtk/gtk.h>
#include "callbacks.h"
#include <postgresql/libpq-fe.h>
#include "message.h"
#include "message.c"
#include <gnome.h>


GtkWidget *entry1_ku;
GtkWidget *entry2_ku;
GtkWidget *entry3_ku;
GtkWidget *clist3;

gchar    id_3[10],
	nazwa_3[100],
	c_netto_3[10],
	ilosc_3[10],
	w_netto_3[10],
	w_brutto_3[10];

glong    row_to_rem;
glong 	 id_remove;
gfloat 	 ilosc_remove;
	
void usun_selected(GtkWidget	*clist,
		gint		row,
		gint		column,
		GdkEventButton	*event,
		gpointer	data){

	gchar *text;
	

	gtk_clist_get_text(GTK_CLIST(clist), row, 0, &text);
		id_remove=atoi(text);
	
	gtk_clist_get_text(GTK_CLIST(clist), row, 3, &text);
		ilosc_remove=atof(text);


	
	row_to_rem = row;
	
	
}

void usun_now(gpointer *data){
	
	extern glong row_to_rem;
	extern gfloat ilosc_remove;
	extern glong id_remove;
	
	extern PGconn *conn;
	extern PGresult *res;

	char buff[100];
	gint r; // jesli towar, to = 1, usluga =0

	r = 0;

	sprintf(buff, "SELECT rodzaj FROM towar WHERE id='%ld';", id_remove);
		res = PQexec(conn, buff);
		if(strcmp(PQgetvalue(res, 0, 0), "towar") == 0){
			r=1;
			sprintf(buff, "SELECT magazyn FROM towar WHERE id='%ld';", id_remove);	
			res = PQexec(conn, buff);
			sprintf(buff, PQgetvalue(res, 0, 0));
		}
		if(r == 1)
			sprintf(buff, "UPDATE towar SET magazyn='%.2f' WHERE id='%ld';", (ilosc_remove + atof(buff)), id_remove);
			res = PQexec(conn, buff);
			
			


	
	gtk_clist_remove(GTK_CLIST(data), row_to_rem);
}

void kupno(GtkWidget *widget, GtkWidget *widget_){

	extern GtkWidget *clist3;	
	extern GtkWidget *entry1_ku;
	extern GtkWidget *entry2_ku;	
	
	GtkWidget *button1, *button2, *button3, *button4;
	GtkWidget *label1;
	GtkWidget *label2, *label3, *label4, *label5, *label6, *label7;


	label1 = gtk_label_new("Ilo: ");
	gtk_widget_show(label1);
	gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(label1), 10, 410);	

	clist3 = gtk_clist_new(6);
	gtk_container_set_border_width (GTK_CONTAINER (clist3), 4);
	gtk_clist_set_column_width (GTK_CLIST (clist3), 0, 30);
	gtk_clist_set_column_width (GTK_CLIST (clist3), 1, 240);
	gtk_clist_set_column_width (GTK_CLIST (clist3), 2, 70);
	gtk_clist_set_column_width (GTK_CLIST (clist3), 3, 50);
	gtk_clist_set_column_width (GTK_CLIST (clist3), 4, 80);
	gtk_clist_set_column_width (GTK_CLIST (clist3), 5, 80);
	gtk_clist_column_titles_show (GTK_CLIST (clist3));
	gtk_clist_set_shadow_type (GTK_CLIST (clist3), GTK_SHADOW_NONE);
	gtk_signal_connect(GTK_OBJECT(clist3), "select_row", GTK_SIGNAL_FUNC(usun_selected), NULL);
	gtk_clist_set_selection_mode(GTK_CLIST(clist3), GTK_SELECTION_SINGLE);
	gtk_widget_show(clist3);
	

	label2 = gtk_label_new("id");
	gtk_widget_show (label2);
	gtk_clist_set_column_widget (GTK_CLIST (clist3), 0, label2);


	label3 = gtk_label_new("Nazwa towaru");
	gtk_widget_show (label3);
	gtk_clist_set_column_widget (GTK_CLIST (clist3), 1, label3);


	label4 = gtk_label_new("Cena netto");
	gtk_widget_show (label4);
	gtk_clist_set_column_widget (GTK_CLIST (clist3), 2, label4);


	label5 = gtk_label_new("Ilosc");
	gtk_widget_show (label5);
	gtk_clist_set_column_widget (GTK_CLIST (clist3), 3, label5);


	label6 = gtk_label_new("Wartosc netto");
	gtk_widget_show (label6);
	gtk_clist_set_column_widget (GTK_CLIST (clist3), 4, label6);


	label7 = gtk_label_new("Wartosc brutto");
	gtk_widget_show (label7);
	gtk_clist_set_column_widget (GTK_CLIST (clist3), 5, label7);

	entry1_ku = gtk_entry_new();
		gtk_widget_set_usize(GTK_WIDGET(entry1_ku), 60, 23);
		gtk_widget_show(entry1_ku);
		gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(entry1_ku), 45, 433);	

	entry2_ku = gtk_entry_new();
		gtk_widget_set_usize(GTK_WIDGET(entry2_ku), 60, 23);
		gtk_widget_show(entry2_ku);
		gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(entry2_ku), 135, 575);	

        gtk_container_add(GTK_CONTAINER(widget), clist3);


	button1 = gtk_button_new_with_label("DODAJ TOWAR");
		gtk_widget_show(button1);
		gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(button1), 120, 430);
		gtk_widget_set_usize(GTK_WIDGET(button1), 120, 32);
		gtk_signal_connect_object(GTK_OBJECT(button1), "clicked", GTK_SIGNAL_FUNC(add), (gpointer)clist3);



	button2 = gtk_button_new_with_label(" USUN TOWAR");
		gtk_widget_show(button2);
		gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(button2), 516, 430);
		gtk_widget_set_usize(GTK_WIDGET(button2), 120, 32);
		gtk_signal_connect_object(GTK_OBJECT(button2), "clicked", GTK_SIGNAL_FUNC(usun_now), (gpointer)clist3);


	button3 = gtk_button_new_with_label("OBLICZ SUME: ");
		gtk_widget_show(button3);
		gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(button3), 10, 570);
		gtk_widget_set_usize(GTK_WIDGET(button3), 120, 32);
		gtk_signal_connect_object(GTK_OBJECT(button3), "clicked", GTK_SIGNAL_FUNC(licz_suma), (gpointer)clist3);

	button4 = gtk_button_new_with_label(" D R U K U J ");
		gtk_widget_show(button4);
		gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(button4), 250, 570);
		gtk_widget_set_usize(GTK_WIDGET(button4), 386, 32);
		gtk_signal_connect_object(GTK_OBJECT(button4), "clicked", GTK_SIGNAL_FUNC(message_drukuj), NULL);

}
	
 
	
